#!/bin/sh
#This wrapper script is meant to run the steps of the JRE pipeline sequentially
#

echo "$(pwd)"

maxcores=$(sysctl -n hw.ncpu)

export MAXCORES=$maxcores 

read -p "Please name this run. : " runname

if [ "$runname" = "" ]; then
	echo "Please enter a name for the run."
	exit 0 
else
        echo "This name will be named $runname.\n\n"

fi


echo "Creating new directory named: $runname"

mkdir $runname

echo "Copying core files."

cp -R JCE_BASE_DIRECTORY/* "$runname/" 

cd "$runname/" 

home_dir=$(pwd)

chmod +x BLAST/Run_Blastall.txt
chmod +x CLUSTERING/MCL_Clustering.txt
chmod +x FILTERING/Filter_BLAST.pl
chmod +x CLUSTERING/MCL_Clustering.txt
chmod +x PARSER/Scripts/ParseGenbanks.txt

#This part is to copy files to the Genbank directory in PARSE

#GENBANK_FILES needs to be exported as a global variable prior to running script
cp -R $GENBANK_FILES PARSER/Genebank 
cd PARSER/Scripts

# Use pathname change function
./ParseGenbanks.txt

#Concatenatfor FILE in $parent_path/PARSER/Translation; do
	NAME=${FILE%.*}

cd ../Translation
	cat * > Concatenated_AA_seq.fasta

cp Concatenated_AA_seq.fasta "$home_dir"/BLAST

#####Move to Blast###
cd "$home_dir"/BLAST
./Run_Blastall.txt
cp Concatenated_AA_seq.fasta "$home_dir"/FILTERING/INPUT
cp ORG_BLAST.txt "$home_dir"/FILTERING/OUTPUT

###Filter###
cd "$home_dir"
filt_loc=$(pwd)
cd FILTERING/

./Filter_BLAST.pl $filt_loc

cd FILTEROUT

cp FILE_ALL_BLAST_filtered.txt "$home_dir"/CLUSTERING/BLAST


##MCL_CLUSTERING##
#New step added: copy folder MCL Clustering to Post MCL clustering
cd "$home_dir"/CLUSTERING
./MCL_Clustering.txt
#cd CLUSTERING/ is ONLY for test

cd MCL_Clusters

cp out.FILE_ALL_BLAST_filtered.mci.I25 "$home_dir"/POST_MCL/MCL_Clusters 


#Copy contents of annotations to GFF Post_MCL_Cluster folder
cd "$home_dir"/PARSER/
cp -R Annotations/. "$home_dir"/POST_MCL/GFF

#Go to Post MCL and Run
cd "$home_dir"/POST_MCL
Rscript ./Post_MCL_Processing.R
cd $home_dir
mkdir OUTPUT_FOR_JCE/
mkdir OUTPUT_FOR_JCE/GFF/
mv POST_MCL/ClusterID.txt OUTPUT_FOR_JCE/
cp -R POST_MCL/GFFwID/. OUTPUT_FOR_JCE/GFF/









